package org.apache.hadoop.mapred.adaptive;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.Writable;

public class Gossip implements Writable, Cloneable {

	public String from;
	public String to;
	public Long time;
	public int penalty;
	
	public Gossip(String to, Long time){
		this.to = to;
		this.time = time;
	}
	
	public Gossip(String from, String to, int  penalty){
		this.from = from;
		this.to = to;
		this.penalty = penalty;
	}
	

	public String toString(){
		return from + " suspect " + to + "</br>"; 
	}
	@Override
	public void readFields(DataInput in) throws IOException {
		this.from = Text.readString(in);
		this.to = Text.readString(in);
		this.time = in.readLong();
		this.penalty = in.readInt();
	}

	@Override
	public void write(DataOutput out) throws IOException {
		Text.writeString(out, this.from);
		Text.writeString(out, to);
		out.writeLong(this.time);
		out.writeInt(this.penalty);
		
	}

	
}
